20061119: Changed quote plugin dialogs to all appear in one dialog. You can have a separate dialog window for each quote
          plugin if you like and leave them open, minimized, whatever. This helps with eventually having real-time quotes
          running in the background with no blocking to the main app.

20061120: Applied patch #1600028 - update install notes for Mac symlink db4.

20061120: Added new UTIL functions Higher and Lower. These functions return either the higher or lower value of 2
          arrays or an array and constant.

20061123: Removed QtstalkerFormat quote plugin. It's redundant now. The chart panel can dump files,
          CSV can import them and the berkeley db suite has utilities for dumping and rebuilding 
          files.

20061127: Fixed LOWPASS bug that returned the input instead of the ouput.

20061130: Added Charts or Groups option to the scanner dialog. If charts is chosen, the file selector will
          allow only chart directories to be navigated. If Groups is chosen, then only group directories
          can be navigated.

20061201: Fixed bug in backtester that segfaults using < 0.33 CUS syntax.

20061203: Added new indicator plugin ExScript. User can run external scripts that can pass data back to ExScript to be plotted.

20061204: Fixed bug that did not save/restore chart pixelspaces.

20061205: Added options to send bar data through stdin to the ExScript plugin.

20061205: Applied patch #1609188 - modified util.html. Thanks to Lothar for the patch.

20061205: Added new UTIL function INRANGE. Returns TRUE if value is => min and <= max. Otherwise returns FALSE.

20061206: Changed the minimum bar spacing to 2.

20061207: Changed the info panel window to list date,time,open,high,low,close,volume,oi first.

20061207: Added edit chart option to the chart context menu.

20061207: Keyboard delete key now deletes charts from the chart/group panels.

20061207: Added function 'Add To Group' to the chart panel context menu. Allows the user to add the selected
          chart to the group chosen. Saves a few steps by not going through the group panel menus.

20061208: Added 3 new buttons on the chart toolbar that act as default bar spacing settings. The user can set the defaults
          in the preferences dialog.

20061208: Restored the last close arrow on the scale charts.

20061208: Added a timeout function to ExScript so it doesn't wait in loop forever with no input.

20061208: Fixed bug in CUS formulas if Label field in plot settings left blank, line would not plot.

20061208: Fixed bug in TALIB plugin that did not set the correct MA for CUS scripts that used the STOCH function.

20061208: Added RSI and STOCH to the misc/CUS_examples section. Examples on how to code zone lines in indicators.

20061209: Added new CUS feature. INCLUDECUS(xxx). This allows the user to include other CUS rules. This is helpful when
          making changes to one indicator, changes will be propagated to all scripts that use the included indicator.
          Not thoroughly tested yet. Careful how you combine different indicators. Any duplicate variable names will
          abort the calculation. Mixing indicators that have different scaling properties will result in awful looking charts.

20061210: Added new function Indicator Summary groups that display the latest indicator values for a selected group. The function
          assumes to use the currently loaded indicators to use. Function found on the tools menu. Function will (hopefully) be
          refined with more options in the future.

20061211: Added DonchianChannels to the misc/CUS_examples/Contributions/sstratos section.

20061212: When editing CUS rules, the 'Open Rule' function inserts text instead of relacing text.

20061213: Applied patch #1615024 - workwithscanner.html update. Thanks to loh_tar for the patch

20061213: Applied patch #1614530 - IndicatorSummary xml export. Thanks to xley for the patch.

20061214: Changed UTIL(INRANGE) function to accept either arrays or constants for min and max fields

20061214: Fixed bug in CUS options Include Rule and Open Rule that did not accept selections when the
          open button was used to close the dialog instead of double clicking on the selection.

20061214: Fixed splits to adjust volume.

20061214: Fixed default chart object font changes that do not propagate.

20061214: Applied patch #1616118 - Add to Group Icon - thanks to loh_tar for the patch.

20061214: Applied patch #1615526 - update FAQ: Mac OS X works fine. Thanks to xley for the patch.

20061214: Applied patch #1615490 - add INCLUDECUS to examples and docs. Thanks to xley for the patch.

20061221: Converted the DB functions to a new format that centralizes the chart metadata into a main index.
          Also changed the chart format to a fixed record size to achieve a 60% speed increase for loading
          and inserting data. Added a conversion dialog that will appear when the new code is started.
          Conversion will take under 10 minutes for 7000 charts.

20061221: Applied patch #1620276 - modified docs, pref,tool,main,wrkcharts/groups - thanks to loh_tar for the patch.

20061221: Applied patch #1619809 - modified talib.html - thanks to loh_tar for the patch.

20061221: Applied patch #1619250 - VOL: typo for PVT method - thanks to xley for the patch.

20061221: Applied patch #1619222 - ExScript: add newline after each bar in STDIN - thanks to xley for the patch.

20061221: Applied patch #1616417 - again modified util.html - thanks to loh_tar for the patch.

20061226: Added Point and Figure charts to the BARS indicator. The 'Default' method box sizing is a simple formula:
          2% of the mid point of bars displayed. Set method to 'Custom' to set the box size and reversal parms for
          each individual chart.

20061226: Some CUS_examples indicators are now installed by default on fresh installs.

20061226: Removed the 0.31 conversion functions. Everyone should have upgraded by now. If not...too bad.

20061226: Removed the 12.5k shorthand from chart scaling. I would rather see 12500.

20061226: Just a note that with the new metadata indexing, you will not be able to create multiple charts with the same
          symbol name. Even when located in a different directory. We have a one symbol universe now.

20070101: Merged all indicator plugins into qtstalkerlib. Indicator plugins are now deprecated.

20070101: Merged TALIB into qtstalkerlib. The only change the user will notice is all indicators are available when creating
          a new indicator.

20070101: Applied patch #1625373 - install.html - thanks to loh_tar for the patch.

20070101: Applied patch #1625321 - cus.html - thanks to loh_tar for the patch.

20070101: Chart now refreshes to last bar after a bar spacing default button is pressed.

20070103: Added version parm to the CUS indicator.

20070104: Applied patch #1626699 - yahoo.html - thanks to loh_tar for the patch.

20070104: Applied patch #1626685 - toc.html - thanks to loh_tar for the patch.

20070104: Applied patch #1626678 - Pics needed by cus.html - thanks to loh_tar for the patch.

20070104: Applied patch #1628252 - preferences.html - thanks to loh_tar for the patch.

20070104: Applied patch #1628245 - toolbars.html - thanks to loh_tar for the patch.

20070104: Applied patch #1628231 - indicatorreference.html - thanks to loh_tar for the patch.

20070104: Removed the VOLA module and replaced the CV and VOLR functions with new CUS versions in the
          CUS_examples section.

20070105: Fixed bug in CUS that included comment lines as variables for input parms.

20070105: Applied patch #1629088 - dev.html - thanks to loh_tar for the patch.

20070105: Applied patch #1629083 - add-nav script - thanks to loh_tar for the patch.

20070105: Applied patch #1629075 - mainchart.html - thanks to loh_tar for the patch.

20070105: Applied patch #1629066 - workwithscanner.html - thanks to loh_tar for the patch.

20070105: Applied patch #1629449 - quotes.html - thanks to loh_tar for the patch.

20070106: Moved preferences dialog into qtstalkerlib. Preferences now update whenever the apply button is
          pressed. Dialog is now non-modal.

20070107: Fixed copy CUS examples for new installs.

20070107: Fixed 0.33/0.34 dialog reappearing.

20070107: Fixed bug that segfaults if indicator is enabled with no chart loaded.

20070107: Fixed edit chart to update changes when dialog exited.

20070107: Fixed volume adjusted when stock is split.

20070107: Applied patch #1630082 - horizontalline.html - thanks to loh_tar for the patch.

20070107: Fixed chart objects dont adjust along with a stock split. However FiboLine can only be adjusted if both
          the start and end points fall within the adjusted range.
          
20070108: Applied patch #1630165 - chartobjects.html - thanks to loh_tar for the patch.

20070109: Added an exchange field to charts.

20070111: Fixed bug #1633007 - Yahoo Quotes, Error after add new Stock.

20070125: Yahoo has changed the historical date format to YYYY-MM-DD and now mixes the old and new randomly it appears.
          Yahoo plugin now handles both formats.

20070125: Applied patch #1640810 - Chart fixed at the right hand side - thanks to loh_tar for the patch

20070125: Applied patch #1637852 - new icon offer for "delete group" - thanks to loh_tar for the patch

20070130: Applied patch #1647204 - fix back psButton - thanks to loh_tar for the patch

20070130: Applied patch #1645115 - some IndicatorPlot Modifications - thanks to loh_tar for the patch.

20070130: Applied patch #1646038 - restore NavAreaSize - thanks to loh_tar for the patch.

20070130: Applied patch #1646591 - add preference color buttons to COs - thanks to loh_tar for the patch.

20070130: Applied patch #1646862 - rest COs Edit Dialogs - thanks to loh_tar for the patch.

20070202: Applied patch #1650181 - update dev docs - thanks to loh_tar for the patch.

20070202: Applied patch #1650119 - restore nav panel properly - thanks to loh_tar for the patch.

20070202: Applied patch #1649368 - added identifier info to buy/sellarrow chart objects - thanks to xley for the patch.

20070203: Upgraded to version 0.3 of TA-Lib. They are using configure and have changed to a shared library, so we need to remove our packaged
          TA-Lib from the Qtstalker source and compile and install it as a separate package. This will be better for 
          the distribution maintainers as well. See Requirements section of qtstalker/docs/install.html

20070203: Changed all the installation paths from /usr/* to /usr/local/* as it should be. And the distribution maintainers rejoiced...

20070203: Applied patch #1650853 - navi buttons +new class - thanks to loh_tar for the patch

20070204: Fixed bug #1637749 - chart objects are lost when placed on diff. indi. screens.

20070211: Applied patch #1653959 - HelpWindow displays CHANGELOG - thanks to loh_tar for the patch.
          Added CHANGELOG files to the docs.pro install procedure so loh_tar's patch would have
          something to display.

20070211: Applied patch #1653187 - Selecting charts is now a single-click action - thanks to loh_tar for the patch.

20070211: Applied patch #1652823 - in dev.html fix old data location path and typos - thanks to xley for the patch.

20070211: Applied patch #1652684 - usage of new ToolBarBtn - thanks to loh_tar for the patch.

20070211: Applied patch #1651805 - RcFile +Preferences.diff - thanks to loh_tar for the patch

20070214: Applied patch #1659728 - progressBar for CSV quote dialog - thanks to xley for the patch.

20070214: Applied patch #1659771 - Toolbar.cpp, add new buttons +possible to place vertical - thanks to loh_tar for the patch.

20070215: Applied patch #1659638 - Qtstalker.cpp use modified RcFile.cpp - thanks to loh_tar for the patch.            

20070215: Applied patch #1659999 - MainMenubar use RcFile - thanks to loh_tar for the patch.

20070215: Applied patch #1660435 - ChartToolbar use RcFile - thanks to loh_tar for the patch.

20070216: Applied patch #1660854 - Font+ColorButton knows/reports changes - thanks to loh_tar for the patch.

20070309: Applied patch #1662034 - Makes both ToolBars full configurable - thanks to loh_tar for the patch.

20070309: Applied patch #1668328 - install.html, add TA-Lib directions - thanks to loh_tar for the patch.

20070309: Applied patch #1670387 - Config::Setup() use RcFile.cpp - thanks to loh_tar for the patch.

20070309: Applied patch #1676151 - fix a BUG at UTIL(INRANGE... - thanks to loh_tar for the patch.

20070310: Applied patch #1677621 - fix at last cvs commit - thanks to loh_tar for the patch.

20070310: Applied patch #1673118 - More features to candles - thanks to ommarcocarvalho for the patch.

20070313: Applied patch #1678913 - Restore most of the prog settings/status - thanks to loh_tar for the patch.

20070417: Applied patch #1701281 - revert changes to BARS which broke candles - thanks to xley for the patch.

20070417: Applied patch #1701267 - progressBar for quote plugins - thanks to xley for the patch.

20070518: Applied patch #1711711 - repeat "Symbol" column at end of IndicatorSummary - thanks to xley for the patch.

20070518: Applied patch #1711714 - show Buy/Sell objects in the data panel when cursor hovers over the object. - thanks to xley for the patch.

20070519: Applied patch #1716890 - Automated help docs for indicators. You can also add your own local documentation. See docs/indicator/intro.html - thanks to xley for the patch.

20070523: Applied part patch #1716538 - misc/CUS_examples/Contributions/lvgandhi/Ray* for Elder Ray Bull Power and Ray Bear Power - thanks to lvgandhi for the patch.

20070523: Applied part patch #1716538 - misc/CUS_examples/Contributions/lvgandhi/FIMAs for Force Index with MAs - thanks to lvgandhi for the patch.

20070524: Applied part patch #1716538 - misc/CUS_examples/Contributions/ravisghosh/Envelope - thanks to ravisghosh for the patch.

20070524: misc/CUS_examples/Contributions/xley/star - Demonstrate detection of various different star candle patterns. Remember with three-day patterns, that the highlight refers to the previous day. Added docs/indicator/star.html - thanks to xley for the patch.

20070525: Improved docs/index.html (and hence qtstalker.sf.net) with deliberately basic CSS. - thanks to xley for the patch.

20070525: misc/CUS_examples/Contributions/xley/kk - Indicator (kk) and Scanner
(s-kk) example for detecting Piercing Line (Kirikomi) and Dark Cloud Cover
(Kabuse) candles. Also has documentation. - thanks to xley for the patch.

20070529: FI indicator now properly handles "maType" and "smoothing" when used via CUS. Fixes bug #1716543. - thanks to xley for the patch.

20070531: Improved docs/quick.html to better explain the quickstart steps and to use current terminology.

20070601: Fixed saving of some user preferences, e.g. "Bar Spacing" and "Navigator panel" position. Users of CVS trunk need to visit "Edit=>Edit Preferences" and set each of the three "Bar spacing" to a different value. This causes the configuration file to be re-written as integers. Fixes bug #1729273 #1729276. - thanks to xley for the patch.

20070605: Explained how to search/edit settings when developing. See docs/dev.html - thanks to xley for the patch.

20070606: Enhanced misc/CUS_examples/cdl-vol Volume Candles to have better colour scheme. Added docs/indicator/cdl-vol.html for legend. - thanks to xley for the patch.

20070607: Added misc/CUS_examples/Contributions/xley/ExScript as an example of passing data and parameter to an external propgram. Added docs/indicator/exscript.html - thanks to xley for the patch.

20070607: Added misc/CUS_examples/Contributions/xley/FIs as a "Force Index" example. - thanks to xley for the patch.

20070608: Save and restore last indicators used in each tab row on program re-starts. - thanks to xley for the patch.

20070612: Added docs/indicatorsummary.html to explain the "Indicator Summary" feature. - thanks to xley for the patch.

20071613: Fixed bug #1736224 - Crash when switch off "Drawing Mode". - thanks to xley for the patch.
